[问题]新手求助:2 个软件包没有被完全安装或卸载 dpkg:依赖关系问题

为当前最终发行版之前的所有版本提供支持
回复
头像
tigeric
帖子: 85
注册时间: 2006-04-07 23:31
来自: beijing
送出感谢: 0
接收感谢: 0
联系:

[问题]新手求助:2 个软件包没有被完全安装或卸载 dpkg:依赖关系问题

#1

帖子 tigeric » 2006-04-07 23:41

内容如下 :

代码: 全选

有 2 个软件包没有被完全安装或卸载。
需要下载 0B 的软件包。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]Y
正在设置 ubuntu-artwork (12) ...
No theme index file in '/usr/share/icons/default'.
If you really want to create an icon cache here, use --ignore-theme-index.
dpkg:处理 ubuntu-artwork (--configure)时出错:
 子进程·post-installation script·返回了错误号·1
dpkg:依赖关系问题使得 gdm 的配置工作不能继续:
 gdm 依赖于 ubuntu-artwork | edubuntu-artwork;然而:
  软件包 ubuntu-artwork还没有被配置。
  软件包 edubuntu-artwork还没有被安装。
dpkg:处理 gdm (--configure)时出错:
 依赖关系问题 - 仍未被配置
在处理时有错误发生:
 ubuntu-artwork
 gdm
E: Sub-process /usr/bin/dpkg returned an error code (1)
现在 按照 操作指南继续 下面的设置 都会 出现这个 没有办法 继续了
lvrainbow
帖子: 11
注册时间: 2008-09-08 16:15
送出感谢: 0
接收感谢: 0

#2

帖子 lvrainbow » 2008-09-08 17:14

我也碰到类似问题了,怎么解决呀?
头像
cnkilior
论坛版主
帖子: 4979
注册时间: 2007-08-05 17:40
送出感谢: 0
接收感谢: 5 次

#3

帖子 cnkilior » 2008-09-08 17:20

1、确认/usr/share/icons/default是否存在?不存在则建立。再运行刚才的命令。若存在……
2、你的确需要这两个包,a、等更新,b、强制使用旧版本。
3、你不需要,则删之,先试试atp,不行则用dpkg(atp的底层)
头像
carlos444_444
帖子: 444
注册时间: 2005-06-06 21:35
系统: Debian
来自: 双子星
送出感谢: 3 次
接收感谢: 2 次
联系:

Re: [问题]新手求助:2 个软件包没有被完全安装或卸载 dpkg:依赖关系问题

#4

帖子 carlos444_444 » 2008-10-04 1:05

1,sudo apt-get remove ubuntu-artwork gdm --purge
2,sudo apt-get install -f
:em11
回复

回到 “老旧版本支持”